# Send free-form email

Sends an email with the `freeFormBranded` template.
This selects the Template Descriptor with `subject=freeFormBranded` and
its currently active Template Version. The `freeFormBranded`` template allows
for the insertion of completely custom content within a standard branded email
template.
WARNING: This endpoint is not checked against Compliance Guard.

Endpoint: POST /communicator/send-free-form-email
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Request fields (application/json):

  - `contentHtml` (string)
    The content of the email in the HTML format.

  - `contentPlain` (string)
    The content of the email in the plain text format.

  - `isTransactional` (boolean)
    If `true`, then sent this interaction as "transactional".
Transactional interactions are those which are sent via an automated system in response
to an event or some action taken. e.g., an email sent to confirm a payment was made is transactional;
likewise an email sent to confirm a password change is transacrtional. Examples of
non-transactional messages would be: those sent by an agent in response to a customer request,
for collections, or for marketing.
It's important to mark these messages correctly, because different laws may apply to messages
depending on if they're considered "transactional".
Additionally, a transactional interaction may be sent with different "From:" and "Reply-To:" fields depending on configuration.
The purpose here being that it may be desirable to send messages from an email address
that is clearly marked as "unmonitored", so that recipients do not try to respond
directly to those email addresses.

  - `language` (string)
    The ISO 639-1 two character code of the email language.
    Example: en

  - `personalizations` (array, required)
    Specifies the email destination. See the body of POST /mail/send at https://sendgrid.com/docs/api-reference/.

  - `previousInteractionId` (string)
    The ID of an existing interaction to link the new interaction to.

  - `subjectLine` (string)
    The subject line of the email.

  - `theme` (string)
    The reason why an interaction occurred.
For example:
- An outbound debt collection call should be marked as `opsCollDebt`.
- An annual privacy policy update email should be marked as `opsServicing`.
- A customer service response to borrower's inquiry should be marked as `opsServicing`.

**DEPRECATED**: `inbBug`, `inbHumanLove`, and `opsServicingNegativeCreditReportNotice` are deprecated:
you cannot create or update interactions to have these values.
    Enum: "agentNotification", "opsCollDebt", "opsCollLocateBorrower", "opsCollVerifyEmployment", "opsCollContactEmployerNotice", "opsServicingDebtValidation", "opsServicingNegativeCreditReportNotice", "opsServicingTimeBarredNotice", "opsServicing", "opsAccountCredentials", "inbMissingFeature", "inbEducation", "inbBug", "inbRequest", "inbHumanLove", "inbUnknown", "inbOther", "inbServicing", "inbCollections", "inbPayments", "inbFraud", "inbGeneralInquiry"

## Response 202 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)

  - `data.interactionId` (string)
    ID of the new interaction

